> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentgate.mynewapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> List all configured webhooks

<ResponseField name="webhooks" type="array">
  Array of webhook configurations.
</ResponseField>

<Note>
  Webhook secrets are never returned in list responses.
</Note>

<RequestExample>
  ```bash cURL theme={null}
  curl https://agentgate.mynewapi.com/v1/webhooks \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "webhooks": [
      {
        "id": "wh_abc123",
        "url": "https://your-app.com/webhooks/agentgate",
        "events": ["run.completed", "run.failed"],
        "enabled": true,
        "description": "Production webhook",
        "createdAt": "2024-01-01T00:00:00Z"
      }
    ]
  }
  ```
</ResponseExample>
